org.bdgenomics.adam.api.java

# ToFragmentDatasetConversion

###
Related Doc: package java

#### trait ToFragmentDatasetConversion[T, U <: Product, V <: GenomicDataset[T, U, V]] extends GenomicDatasetConversion[T, U, V, Fragment, Fragment, FragmentRDD]

Linear Supertypes
GenomicDatasetConversion[T, U, V, Fragment, Fragment, FragmentRDD], Function2[V, Dataset[Fragment], FragmentRDD], Serializable, AnyRef, Any
Known Subclasses
AlignmentRecordsToFragmentsDatasetConverter, ContigsToFragmentsDatasetConverter, CoverageToFragmentsDatasetConverter, FeaturesToFragmentsDatasetConverter, GenotypesToFragmentsDatasetConverter, VariantsToFragmentsDatasetConverter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ToFragmentDatasetConversion
2. GenomicDatasetConversion
3. Function2
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def call(v1: V, v2: Dataset[Fragment]): FragmentRDD

   Definition Classes
     GenomicDatasetConversion → Function2

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### val yTag: scala.reflect.api.JavaUniverse.TypeTag[Fragment]

    Definition Classes
      ToFragmentDatasetConversion → GenomicDatasetConversion

### Inherited from GenomicDatasetConversion[T, U, V, Fragment, Fragment, FragmentRDD]

### Inherited from Function2[V, Dataset[Fragment], FragmentRDD]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped